org.springframework.core.type.classreading

## Interface MetadataReaderFactory

- All Known Implementing Classes:
    CachingMetadataReaderFactory, SimpleMetadataReaderFactory

      public interface MetadataReaderFactory

  Factory interface for `MetadataReader` instances. Allows for caching a MetadataReader per original resource.
  Since:
    2.5
  Author:
    Juergen Hoeller
  See Also:
    `SimpleMetadataReaderFactory`, `CachingMetadataReaderFactory`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `MetadataReader` | `getMetadataReader(Resource resource)` Obtain a MetadataReader for the given resource.
    `MetadataReader` | `getMetadataReader(String className)` Obtain a MetadataReader for the given class name.

- - ### Method Detail

    - #### getMetadataReader

          MetadataReader getMetadataReader(String className)
                                           throws IOException

      Obtain a MetadataReader for the given class name.
      Parameters:
        `className` - the class name (to be resolved to a ".class" file)
      Returns:
        a holder for the ClassReader instance (never `null`)
      Throws:
        `IOException` - in case of I/O failure

    - #### getMetadataReader

          MetadataReader getMetadataReader(Resource resource)
                                           throws IOException

      Obtain a MetadataReader for the given resource.
      Parameters:
        `resource` - the resource (pointing to a ".class" file)
      Returns:
        a holder for the ClassReader instance (never `null`)
      Throws:
        `IOException` - in case of I/O failure